Developer Documentation

Functions
Runtime Update Types

## Functions
DLLEXPORT UpdateType | addUpdateType (QString _name, bool _resetNeeded=true)
| Adds a updateType and returns the id for the new type. More...
DLLEXPORT UpdateType | updateType (QString _name)
| Given an UpdateType Identifier string this function will return the id of the UpdateType. More...
DLLEXPORT QString | updateTypeName (UpdateType _id)
| Get the name of a type with given id. More...
DLLEXPORT size_t | updateTypeCount ()
| Get the number of registered types. More...

## Detailed Description

Use these functions to add custom update types at runtime.

## Function Documentation

## ◆ addUpdateType()

DLLEXPORT UpdateType addUpdateType | ( | QString | _name,
|  | bool | _resetNeeded = `true`
| ) |  |

Adds a updateType and returns the id for the new type.

Adds a UpdateType and returns the id for the new type

Parameters

  _name | Internal name for the new UpdateType
  _resetNeeded | If a sceneGraph reset is needed for this update

Definition at line 229 of file UpdateType.cc.

## ◆ updateType()

DLLEXPORT UpdateType updateType | ( | QString | _name | ) |

Given an UpdateType Identifier string this function will return the id of the UpdateType.

Given an UpdateType Identifier string this function will return the id of the UpdateType.

Definition at line 252 of file UpdateType.cc.

## ◆ updateTypeCount()

DLLEXPORT size_t updateTypeCount | ( |  | ) |

Get the number of registered types.

This function will return the number of types registered to the core. You can use it to iterate over all types.

Get the number of registered types.

Definition at line 299 of file UpdateType.cc.

## ◆ updateTypeName()

DLLEXPORT QString updateTypeName | ( | UpdateType | _id | ) |

Get the name of a type with given id.

The ids are organized in a bit field. So use either the macro for getting the type id or use the id directly (they have to be power of 2! ... Bit field)

Definition at line 267 of file UpdateType.cc.